libnl: Inet Diag TCP Vegas Info

libnl 3.12.0

Inet Diag TCP Vegas Info
Inet Diag library (libnl-idiag)

## Functions
struct idiagnl_vegasinfo * | idiagnl_vegasinfo_alloc (void)
void | idiagnl_vegasinfo_get (struct idiagnl_vegasinfo *vinfo)
void | idiagnl_vegasinfo_put (struct idiagnl_vegasinfo *vinfo)

## Attributes
uint32_t | idiagnl_vegasinfo_get_enabled (const struct idiagnl_vegasinfo *vinfo)
void | idiagnl_vegasinfo_set_enabled (struct idiagnl_vegasinfo *vinfo, uint32_t enabled)
uint32_t | idiagnl_vegasinfo_get_rttcnt (const struct idiagnl_vegasinfo *vinfo)
void | idiagnl_vegasinfo_set_rttcnt (struct idiagnl_vegasinfo *vinfo, uint32_t rttcnt)
uint32_t | idiagnl_vegasinfo_get_rtt (const struct idiagnl_vegasinfo *vinfo)
void | idiagnl_vegasinfo_set_rtt (struct idiagnl_vegasinfo *vinfo, uint32_t rtt)
uint32_t | idiagnl_vegasinfo_get_minrtt (const struct idiagnl_vegasinfo *vinfo)
void | idiagnl_vegasinfo_set_minrtt (struct idiagnl_vegasinfo *vinfo, uint32_t minrtt)

## Detailed Description

Inet Diag TCP Vegas Info Documentation (Netlink Inet Diag Development Guide)

## Function Documentation

## ◆ idiagnl_vegasinfo_alloc()

struct idiagnl_vegasinfo * idiagnl_vegasinfo_alloc | ( | void |  | ) |

Definition at line 20 of file idiag_vegasinfo_obj.c.

## ◆ idiagnl_vegasinfo_get()

void idiagnl_vegasinfo_get | ( | struct idiagnl_vegasinfo * | vinfo | ) |

Definition at line 25 of file idiag_vegasinfo_obj.c.

## ◆ idiagnl_vegasinfo_put()

void idiagnl_vegasinfo_put | ( | struct idiagnl_vegasinfo * | vinfo | ) |

Definition at line 30 of file idiag_vegasinfo_obj.c.

## ◆ idiagnl_vegasinfo_get_enabled()

uint32_t idiagnl_vegasinfo_get_enabled | ( | const struct idiagnl_vegasinfo * | vinfo | ) |

Definition at line 39 of file idiag_vegasinfo_obj.c.

## ◆ idiagnl_vegasinfo_set_enabled()

void idiagnl_vegasinfo_set_enabled | ( | struct idiagnl_vegasinfo * | vinfo,
|  | uint32_t | enabled )

Definition at line 44 of file idiag_vegasinfo_obj.c.

## ◆ idiagnl_vegasinfo_get_rttcnt()

uint32_t idiagnl_vegasinfo_get_rttcnt | ( | const struct idiagnl_vegasinfo * | vinfo | ) |

Definition at line 50 of file idiag_vegasinfo_obj.c.

## ◆ idiagnl_vegasinfo_set_rttcnt()

void idiagnl_vegasinfo_set_rttcnt | ( | struct idiagnl_vegasinfo * | vinfo,
|  | uint32_t | rttcnt )

Definition at line 55 of file idiag_vegasinfo_obj.c.

## ◆ idiagnl_vegasinfo_get_rtt()

uint32_t idiagnl_vegasinfo_get_rtt | ( | const struct idiagnl_vegasinfo * | vinfo | ) |

Definition at line 61 of file idiag_vegasinfo_obj.c.

## ◆ idiagnl_vegasinfo_set_rtt()

void idiagnl_vegasinfo_set_rtt | ( | struct idiagnl_vegasinfo * | vinfo,
|  | uint32_t | rtt )

Definition at line 66 of file idiag_vegasinfo_obj.c.

## ◆ idiagnl_vegasinfo_get_minrtt()

uint32_t idiagnl_vegasinfo_get_minrtt | ( | const struct idiagnl_vegasinfo * | vinfo | ) |

Definition at line 71 of file idiag_vegasinfo_obj.c.

## ◆ idiagnl_vegasinfo_set_minrtt()

void idiagnl_vegasinfo_set_minrtt | ( | struct idiagnl_vegasinfo * | vinfo,
|  | uint32_t | minrtt )

Definition at line 76 of file idiag_vegasinfo_obj.c.